package svc

import (
	"github.com/zeromicro/go-zero/zrpc"
	"jyBXCore/api/internal/config"
	"jyBXCore/rpc/bxcore"
)

type ServiceContext struct {
	Config config.Config
	BxCore bxcore.BxCore
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config: c,
		BxCore: bxcore.NewBxCore(zrpc.MustNewClient(c.Core)),
	}
}
